Name:           ykpers
Version:        1.3.2
Release:        1%{?dist}
Summary:        Yubikey personalization program

Group:          Applications/System
License:        BSD
URL:            http://code.google.com/p/yubikey-personalization/
Source0:        http://yubikey-personalization.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX}

BuildRequires: libusb1-devel
BuildRequires: libyubikey-devel

%description
Yubico's YubiKey can be re-programmed with a new AES key. This is a library
that makes this an easy task.

%package devel
Summary:        Development files for ykpers
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the header file needed to develop applications that 
use ykpers.

%prep
%setup -q

%build
%configure --disable-static --with-backend=libusb-1.0
# --disable-rpath doesn't work for the configure script
%{__sed} -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
%{__sed} -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%{__make} %{?_smp_mflags}

%check
%{__make} check LD_LIBRARY_PATH=".libs"

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT} INSTALL="%{__install} -p"

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog NEWS
%doc doc/ReadMe.wiki doc/Compatibility.wiki
%{_bindir}/ykpersonalize
%{_libdir}/libykpers-1.so.1
%{_libdir}/libykpers-1.so.1.1.0
%{_mandir}/man1/ykpersonalize.1.gz

%files devel
%defattr(-,root,root,-)
%doc doc/UsbhidIssue.wiki
%{_libdir}/pkgconfig/ykpers-1.pc
%{_libdir}/libykpers-1.so
%{_includedir}/ykpers-1/
%exclude %{_libdir}/libykpers-1.la

%changelog
* Wed Mar 17 2010 - Maxim Burgerhout <maxim@wzzrd.com> - 1.3.2-1
- Version bump

* Mon Jan 25 2010 - Maxim Burgerhout <maxim@wzzrd.com> - 1.3.1-1
- Version bump

* Mon Jan 25 2010 - Maxim Burgerhout <maxim@wzzrd.com> - 1.2-4
- RPM_OPT_FLAGS removed again

* Mon Jan 25 2010 - Maxim Burgerhout <maxim@wzzrd.com> - 1.2-3
- Removed pkgconfig dependency for devel
- Fixed ownership of ykpers-1 in /usr/include
- Fixed install with original timestamp

* Sat Jan 23 2010 - Maxim Burgerhout <maxim@wzzrd.com> - 1.2-2
- Used macros for sed, make, rm and Source0
- Removed INSTALL and MakeRelease.wiki from the docs
- Inserted INSTALLFLAGS
- Inserted RPM_OPT_FLAGS
- Made sure the URL no longer points to a redirect

* Sat Jan 23 2010 - Maxim Burgerhout <maxim@wzzrd.com> - 1.2-1
- New upstream release (support for newer firmware)

* Wed Jan 20 2010 - Maxim Burgerhout <maxim@wzzrd.com> - 1.1-1
- First packaged release
